﻿//ver:1.42--
//11.27
//var var_isDebug = true;// true的时候 key.xml中的信息直接明文赋值

var config_pagesize = 50;
var config_reloadTime = 600000; //毫秒 ,10分钟

//判断服务器配置是否加载完成
function Get_ServerConfigOver() {
    var key = 'hasgetserverconfigover';
    var v = $api.getStorage(key);
    if (v == undefined || v == "") {
       // alert("-----");
        return false;
    }
    if (v == "1") { return true; } else { return false; }
}
//设置服务器配置是否加载完成
function Set_ServerConfigOver(b) {
    var key = 'hasgetserverconfigover';
    if (b) {
        $api.setStorage(key, "1");
    } else {
        $api.setStorage(key, "0");
    }
    
}

//获得用户信息， deviceId，code，unid
function getInfo() {
	var fs = api.require('fs');
    var ret = fs.existSync({
        path: 'fs://config/userinfo.config'
    });
    if (ret.exist) {
        var data = api.readFile({
			sync: true,
			path: 'fs://config/userinfo.config'
        });
        // alert("-"+data);
        return JSON.parse(data);

    } else {
        return { "deviceId": "", "code": "", "unid": "", "isLoginTaobao": false,"lastTaobaoLoginTime":0 ,"img":"","nick":""};
    }
}

//设置用户信息， deviceId，code，unid
function setInfoJson(user) {
    api.writeFile({
        path: 'fs://config/userinfo.config',
        data: JSON.stringify(user)
    }, function(ret, err) {
        
    });
}

//打开个人中心
function goMe() {
    //alert("--"+Get_ServerConfigOver());
    if (!Get_ServerConfigOver()) {
        api.toast({
                msg: '请稍等，系统还没有初始化'
        });
        return;
    }
    var user = getInfo();
    var unid = user.unid;
    

    if (unid == "") {
        //alert(1);
        var cof = getConfig();
        //alert(JSON.stringify(cof));
        if (cof.mustWxLogin) {
            //alert(2);
            //去登录
            api.execScript({
                name: "index",
                script: "showLogin()"
            });
        } else {
            api.execScript({
                name: "index",
                script: "openMeYouke()"
            });
        }
        

    } else {
        api.execScript({
            name: "index",
            script: "openMe()"
        });
    }
}

//获得通讯密匙
function getNetToken() {
    var token = api.loadSecureValue({
            sync: true,
            key: 'netToken'
    });
    return token;
}


function getMd5(str) {
    var signature = api.require('signature');
    var value = signature.md5Sync({
        data: str
    });
    return value;
}


//设置配置到内存
function setConfig(cof) {
    var key = 'myconfig';
    $api.setStorage(key, cof);
}
//读取配置
function getConfig() {
    var key = 'myconfig';
    var t = $api.getStorage(key);
    if (t == undefined || t == null || t == "") {
        return {};
    } else {
        return t;
    }
}

//自定义下拉
function configHeaderInfo(fun) {
    api.setCustomRefreshHeaderInfo({
        bgColor: '#F5F5F5',
        dropColor:'#FA9EA3',
    }, function () {
        fun();
    });
}
//加载框
function myLoading(b) {
    var UILoading = api.require('UILoading');
    if (b) {
        UILoading.keyFrame({
            rect: {
                w: 80,
                h: 100
            },
            styles: {
                bg: 'rgba(0,0,0,0.4)',
                corner: 10,
                interval: 20,
                frame: {
                    w: 80,
                    h: 80
                }
            },

        }, function (ret) {
            //alert(JSON.stringify(ret));
        });
    } else {
        UILoading.closeKeyFrame();
    }
}

function myDownTempImg(img,fun){
    api.download({
        url: img,
        savePath: 'fs://temppic/temp.png',
        report: false,
        cache: true,
        allowResume: true
    }, function(ret, err) {
        if (ret.state == 1) {
            fun();
        } else {

        }
    });
}

function setMyCache(key, value) {
    $api.setStorage("myCache_"+key, value);
}
function getMyCache(key) {
    var k = "myCache_"+key;
    var t = $api.getStorage(k);
    if (t == undefined || t == null || t == "") {
        return null;
    } else {
        return t;
    }
}

//判断最后使用时间且上传
function checkLastUseTime() {
    var user = getInfo();
    if (user.code == "") { return; }
    var lasttime = getMyCache("uselasttime_" + user.code);
    var needup = false;
    if (lasttime == null) {
        needup = true;
    } else {
        var n = (new Date()).valueOf();
        if (n - lasttime > 600000) {
            needup = true;
        }
    }
    if (needup) {
        setMyCache("uselasttime_" + user.code, (new Date()).valueOf());
        api.ajax({
            url: "{{apiurl}}/app/api/setLastUserTime?code=" + user.code + "&token=" + getMd5(user.code + getNetToken()),
            dateType:"text"
        }, function (ret, err) {
            //alert(ret);
        });
    }
}